
export default [
    // {
    //     path: '',
    //     component: () => import('@/layout'),
    //     redirect: '/index',
    //     children: [{
    //         path: '/index',
    //         component: () => import('@/views/desktop/shipFleet/shipFleet/index'),
    //         name: 'Index',
    //         meta: {
    //             title: '首页',
    //             icon: 'home',
    //             affix: true
    //         }
    //     }]
    // },
    {
        path: '',
        component: () => import('@/layout'),
        redirect: '/AIMonitoring/realTimeMonitoring',
    },
    {
        path: '/AIMonitoring',
        meta: {
            title: 'AI监控',
            icon: 'camera',
            affix: true
        },
        component: () => import('@/layout'),
        children: [{
            path: 'realTimeMonitoring',
            component: () => import('@/views/desktop/AIMonitoring/realTimeMonitoring'),
            name: 'realTimeMonitoring',
            meta: {
                title: '实时监控',
                icon: 'empty',
                affix: false
            }
        }, {
            path: 'alarmPreview',
            component: () => import('@/views/desktop/AIMonitoring/alarmPreview'),
            name: 'alarmPreview',
            meta: {
                title: '告警预览',
                icon: 'empty',
                affix: false,
            }
        }]
    },
    {
        path: '/systemConfiguration',
        meta: {
            title: '系统配置',
            icon: 'system',
            affix: true
        },
        component: () => import('@/layout'),
        children: [{
            path: 'algorithmConfiguration',
            component: () => import('@/views/desktop/systemConfiguration/algorithmConfiguration'),
            name: 'algorithmConfiguration',
            meta: {
                title: '算法配置',
                icon: 'empty',
                affix: false
            }
        }, {
            path: 'cameraConfiguration',
            component: () => import('@/views/desktop/systemConfiguration/cameraConfiguration'),
            name: 'cameraConfiguration',
            meta: {
                title: '摄像机配置',
                icon: 'empty',
                affix: false,
            }
        },{
			path: 'pictureConfiguration',
			component: () => import('@/views/desktop/systemConfiguration/pictureConfiguration'),
			name: 'pictureConfiguration',
			meta: {
			    title: '图片质量配置',
			    icon: 'empty',
			    affix: false,
			}
			
		}, {
            path: 'networkConfiguration',
            component: () => import('@/views/desktop/systemConfiguration/networkConfiguration'),
            name: 'networkConfiguration',
            meta: {
                title: '网络配置',
                icon: 'empty',
                affix: false,
            }
        },{
			path: 'networkDiagnostics',
			component: () => import('@/views/desktop/systemConfiguration/networkDiagnostics'),
			name: 'networkDiagnostics',
			meta: {
			    title: '网络诊断',
			    icon: 'empty',
			    affix: false,
			}
		},{
			path: 'operationServices',
			component: () => import('@/views/desktop/systemConfiguration/operationServices'),
			name: 'operationServices',
			meta: {
			    title: '运维服务配置',
			    icon: 'empty',
			    affix: false,
			}
		},{
			path: 'ntpTimeConfiguration',
			component: () => import('@/views/desktop/systemConfiguration/ntpTimeConfiguration'),
			name: 'ntpTimeConfiguration',
			meta: {
			    title: 'NTP时间配置',
			    icon: 'empty',
			    affix: false,
			}
			
		},{
            path: 'settConfiguration',
            component: () => import('@/views/desktop/systemConfiguration/settConfiguration'),
            name: 'settConfiguration',
            meta: {
                title: '系统维护',
                icon: 'empty',
                affix: false,
            }
        }]
    },
	// {
 //        path: '/areaAlarmManagement',
 //        meta: {
 //            title: '监航配置',
 //            icon: 'system',
 //            affix: true
 //        },
 //        component: () => import('@/layout'),
 //        children: [{
 //            path: 'watersManager',
 //            component: () => import('@/views/desktop/areaAlarmManagement/watersManager/index'),
 //            name: 'watersManager',
 //            meta: {
 //                title: '一级水域配置',
 //                icon: 'empty',
 //                affix: false
 //            }
 //        },{
 //            path: 'rulesManager',
 //            component: () => import('@/views/desktop/areaAlarmManagement/rulesManager/index'),
 //            name: 'rulesManager',
 //            meta: {
 //                title: '限速规则配置',
 //                icon: 'empty',
 //                affix: false
 //            }
 //        },{
 //            path: 'regionManager',
 //            component: () => import('@/views/desktop/areaAlarmManagement/regionManager/index'),
 //            name: 'regionManager',
 //            meta: {
 //                title: '限速区域配置',
 //                icon: 'empty',
 //                affix: false
 //            }
 //        }]
	//} ,
	{
        path: '/redirect',
        component: () => import('@/layout'),
        hidden: true,
        children: [{
            path: '/redirect/:path(.*)',
            component: () => import('@/views/redirect/index.vue')
        }]
    },



    {
        path: '/login',
        component: () => import('@/views/login'),
        hidden: true
    },
    {
        path: '/register',
        component: () => import('@/views/register'),
        hidden: true
    },
    {
        path: "/:pathMatch(.*)*",
        component: () => import('@/views/error/404'),
        hidden: true
    },
    {
        path: '/401',
        component: () => import('@/views/error/401'),
        hidden: false
    },

    {
        path: '/user',
        component: () => import('@/layout'),
        hidden: true,
        redirect: 'noredirect',
        children: [{
            path: 'profile',
            component: () => import('@/views/system/user/profile/index'),
            name: 'Profile',
            meta: {
                title: '个人中心',
                icon: 'user'
            }
        }]
    },
    {
        path: '/system/user-auth',
        component: () => import('@/layout'),
        hidden: true,
        children: [{
            path: 'role/:userId(\\d+)',
            component: () => import('@/views/system/user/authRole'),
            name: 'AuthRole',
            meta: {
                title: '分配角色',
                activeMenu: '/system/user'
            }
        }]
    },
    {
        path: '/system/role-auth',
        component: () => import('@/layout'),
        hidden: true,
        children: [{
            path: 'user/:roleId(\\d+)',
            component: () => import('@/views/system/role/authUser'),
            name: 'AuthUser',
            meta: {
                title: '分配用户',
                activeMenu: '/system/role'
            }
        }]
    },
    {
        path: '/system/dict-data',
        component: () => import('@/layout'),
        hidden: true,
        children: [{
            path: 'index/:dictId(\\d+)',
            component: () => import('@/views/system/dict/data'),
            name: 'Data',
            meta: {
                title: '字典数据',
                activeMenu: '/system/dict'
            }
        }]
    },
    {
        path: '/monitor/job-log',
        component: () => import('@/layout'),
        hidden: true,
        children: [{
            path: 'index',
            component: () => import('@/views/monitor/job/log'),
            name: 'JobLog',
            meta: {
                title: '调度日志',
                activeMenu: '/monitor/job'
            }
        }]
    },
    {
        path: '/tool/gen-edit',
        component: () => import('@/layout'),
        hidden: true,
        children: [{
            path: 'index/:tableId(\\d+)',
            component: () => import('@/views/tool/gen/editTable'),
            name: 'GenEdit',
            meta: {
                title: '修改生成配置',
                activeMenu: '/tool/gen'
            }
        }]
    }
]